"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Clean extends command_1.Command {
    async run() {
        const { flags } = this.parse(Clean);
        service_1.BootstrapUtils.showBanner();
        service_1.BootstrapUtils.deleteFolder(flags.target);
    }
}
exports.default = Clean;
Clean.description = 'It removes the target folder (It may not work if you need root!!!)';
Clean.examples = [`$ symbol-bootstrap clean`];
Clean.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: service_1.ConfigService.defaultParams.target,
    }),
};
