import * as Docker from 'dockerode';
import { Addresses, ConfigPreset } from '../model';
import { Preset } from './ConfigService';
export declare class BootstrapUtils {
    static readonly CURRENT_USER = "current";
    private static presetInfoLogged;
    private static pulledImages;
    static deleteFolder(folder: string): void;
    private static deleteFolderRecursive;
    static deleteFile(file: string): void;
    static showBanner(): void;
    static createDocker(): Docker;
    static pullImage(docker: Docker, image: string): Promise<void>;
    static runImageUsingExec(image: string, userId: string | undefined, cmds: string[], binds: string[]): Promise<{
        stdout: string;
        stderr: string;
    }>;
    static runImageUsingApi(image: string, userId: string, cmds: string[], binds: string[]): Promise<string>;
    static loadPresetData(root: string, preset: Preset, assembly: string | undefined, customPresetFile: string | undefined): ConfigPreset;
    static loadExistingPresetData(target: string): ConfigPreset;
    static loadExistingAddresses(target: string): Addresses;
    static sleep(ms: number): Promise<any>;
    static poll(promiseFunction: () => Promise<boolean>, totalPollingTime: number, pollIntervalMs: number): Promise<boolean>;
    static toAmount(renderedText: string | number): string;
    static toHex(renderedText: string): string;
    static generateConfiguration(templateContext: any, copyFrom: string, copyTo: string): Promise<void>;
    static mkdir(path: string): Promise<void>;
    static writeYaml(path: string, object: any): Promise<void>;
    static toYaml(object: any): string;
    static fromYaml(yamlString: string): any;
    static loadYaml(fileLocation: string): any;
    static writeTextFile(path: string, text: string): Promise<void>;
    private static dockerUserId;
    static resolveDockerUserFromParam(paramUser: string | undefined): Promise<string | undefined>;
    static getDockerUserGroup(): Promise<string>;
}
